## List accounts

**get** `/api/v1/accounts`

List accounts

### Query Parameters

- `user_id: string`

### Returns

- `id: string`

- `account_number: string`

- `account_type: "checking" or "saving"`

  - `"checking"`

  - `"saving"`

- `balance: string`

- `currency: string`

- `environment: string`

- `status: "active" or "suspended" or "closed"`

  - `"active"`

  - `"suspended"`

  - `"closed"`

- `user_id: string`

- `admin_user_id: optional string`

- `created_at: optional string`

- `organization_id: optional string`

- `updated_at: optional string`

- `user_role: optional string`

### Example

```http
curl https://accounts-service-staging.up.railway.app/api/v1/accounts \
    -H "X-API-Key: $RAILS_API_KEY"
```

#### Response

```json
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "account_number": "account_number",
    "account_type": "checking",
    "balance": "balance",
    "currency": "currency",
    "environment": "environment",
    "status": "active",
    "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "admin_user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "user_role": "user_role"
  }
]
```
